# Accessibility Tweaks

A client-side mod made for content creators, and for people who suffer from epilepsy, or similar. This mod give you the option to remove all visual and audiable effects related to rain, hail, lightning, and snow; and completely removes involuntary camera shaking (for instance, when cold, or injured). These effects can be life-threatening for some people, and currently, the game has no way to disable the flashing lights and jittering camera effects... this mod changes that. Also removes the white noise sound effects of rain, and hail. as well as removing the ridiculously loud thunder sound effects.

Rain still falls, and snow still accumulates; only the dropping particles are removed. You'll still see rain splashes in water, and you'll still take damage from the cold.
## Features:
  
 - ### Feature: Accessibility Hub ***`(Default Hotkey: F8)`***

    Provides a main GUI for the mod, as a central location to access each feature; rather than through commands.

    - Visual Effects Settings
    - Sound Effects Settings
    - Colour Correction
    - Scene Brightness

 - ### Feature: Visual Tweaks

    Various effects within the game can be harmful, and even potentially fatal to some players. This mod helps to aleviate some of these issues by allowing the player to disable various rendered effects and sound effects.

    - Disable Raindrop Particles
    - Disable Hailstone Particles
    - Disable Snowflake Particles
    - Disable Dust Particles
    - Disable Lightning Flashes
    - Disable Cloud Rendering
    - Disable Fog Rendering
    - Disable Camera Shaking (Shivering, etc.)
    - Disable Temporal Storm Warp Effect

 - ### Feature: Sound Effects
    
    The sounds within the game have not been normalised, so some sounds will be very loud, compared to others, even when played at the same game volume.
    This feature allows the user to selectively choose the volume level for each in-game sound, individually, so that any white-noise can be filtered out.
    Very useful for sufferers of Tinnitus, or white-noise affected epilepsy.
    
    - Change the volume of every sound in the game, individually.
    - Game sounds mute, when the game is paused.
    - Game sounds mute, when the game window loses focus.

 - ### Feature: Colour Correction

    Helps people with poor vision, light sensitivity, or colour-blindness. Playing around with the colour settings can give everything a warm, or cool hue.

    - Choose from different presets to simulate different colour vision deficiencies.
    - Adjust the colour balance, and saturation of the game scene.

 - ### Feature: Scene Brightness

    Helps people with light sensitivity, and for content creators, compensating for compression rates on YouTube / Twitch.

    - Adjust the brightness level of the game scene.

## Client-Side Commands:

| Command               | Description |
| ---                   | --- |
| **.acTweaks**			| Toggle Visual Tweaks settings. |
| **.nv**			    | Toggle Super Bright mode, for content creators. |

## Acknowledgements:

Thank you to the following people:

 - **Craluminum2413:** Translation into Russian, and Ukrainian.
 - **Aledark:** Translation into French.
 - **NiclAss:** Translation into German.
 - **Novocain:** Original creator of some of the back-end reflection helpers, and ClientSideEverywhere hack.
 - **Tyron:** For refactoring some of the API to make this mod easier to make.
